localhost / phpmyadmin не работает на Ubuntu 16.04

gconf-editor имеет возможность сделать это. Просто щелкните правой кнопкой мыши значение, которое вы хотите установить для всех пользователей, и нажмите «Установить значение по умолчанию». PolicyKit откроется и попросит пароль. После этого каждый новый пользователь будет иметь это значение.

8
задан 22 April 2016 в 21:55

5 ответов

У Вас есть две опции

, Вводят эти команды для определенной ошибки, если Ваша предшествующая конфигурация хорошо:

sudo apt-get update
sudo apt-get install php-gettext php-mbstring
sudo service apache2 restart

Или удаляют и запускают новую установку:

sudo service mysql stop
sudo apt-get --purge remove mysql*
sudo apt-get --purge remove phpmyadmin
sudo apt-get autoremove
sudo apt-get autoclean
sudo apt-get update
sudo apt-get install mysql-server phpmyadmin php-gettext php-mbstring
sudo service apache2 restart
15
ответ дан 23 April 2016 в 07:55
  • 1
    Когда я пытаюсь ввести qutebrowser в терминале, я получаю эту ошибку: удар:/usr/local/bin/qutebrowser: Разрешение отклонено – Inspired_Blue 22 December 2017 в 04:53

Так как Вы не выбрали ответ, возможно, проблема все еще открыта, и это подобно моему (PHP не работает - поэтому phpmyadmin, не работает).

я обновил от 15,10 до 16,04 вчера и также получил PHP7 (вместо 5) в процессе. localhost работал на меня, но public_html каталог в моем корневом каталоге не сделал.

проблемой было обновление PHP (в localhost, у меня был документ HTML, который загрузился отлично, но PHP не работал как ожидалось). Я должен был отредактировать/etc/apache2/mods-enabled/php7.conf, где PHP был отключен (строка 23: механизм php_admin_value Прочь), просто должен был сделать это комментарием (с редактором, по Вашему выбору добавляют "#" в начале строки):

# php_admin_value engine Off

и перезапуск апачи:

sudo service apache2 restart

Hope, которая помогает... работавший как очарование для меня. ;-)

0
ответ дан 23 April 2016 в 07:55
  • 1
    Ответ об удалении человечности и не принимает во внимание возможность UEFI. – Kryštof Píštěk 12 September 2017 в 04:17

установите libapache2-mod-php, и работал на меня

1
ответ дан 23 April 2016 в 07:55

установка php расширение:

sudo apt-get install php-mbstring
sudo apt-get install php-gettext
0
ответ дан 23 April 2016 в 07:55
  • 1
    Я haven' t попробовал /etc/environment, решение описало здесь , но подход совпадает с описанный выше, из текстового редактора или командной строки добавляют DRI_PRIME=1 в новой строке в конце файла. – user3325563 21 September 2017 в 06:45

Проверьте, что то, когда Вы настраиваете http настройку сервера phpmyadmin, что Вы выбираете сервер путем нажатия клавиши "Пробел" и являетесь ею, отмечено со звездочкой, или она не настроит его. Нажать "OK" для сохранения его.

4
ответ дан 23 April 2016 в 07:55

Другие вопросы по тегам:

Похожие вопросы: